curl --request GET \
--url https://services.leadconnectorhq.com/surveys/multiple-surveys-submissions \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"submissions": [
{
"id": "be759b9a-c3ec-4b29-ba07-fc3c89c77673",
"contactId": "9NkT25Vor1v4aQatFsv2",
"createdAt": "2020-11-01T18:02:21.000Z",
"surveyId": "jjusM6EOngDExnbo2DbU",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {
"fbc": "fb.1.123456789.987654321",
"fbp": "fbp.1.987654321.123456789",
"page": {
"url": "https://example.com",
"title": "Example Page"
},
"type": "page-visit",
"domain": "example.com",
"medium": "survey",
"source": "Direct traffic",
"version": "v3",
"adSource": "example-ad-source",
"mediumId": "medium-id-123",
"parentId": "parent-id-456",
"referrer": "https://staging.gohighlevel.com",
"fbEventId": "event-id-789",
"timestamp": 1234567890,
"parentName": "Parent Survey",
"fingerprint": "example-fingerprint",
"pageVisitType": "survey",
"contactSessionIds": {
"ids": [
"session1",
"session2"
]
}
},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
]
}
}
],
"meta": {
"total": 1,
"currentPage": 1,
"nextPage": null,
"prevPage": null
}
}Get submissions from multiple surveys
curl --request GET \
--url https://services.leadconnectorhq.com/surveys/multiple-surveys-submissions \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"submissions": [
{
"id": "be759b9a-c3ec-4b29-ba07-fc3c89c77673",
"contactId": "9NkT25Vor1v4aQatFsv2",
"createdAt": "2020-11-01T18:02:21.000Z",
"surveyId": "jjusM6EOngDExnbo2DbU",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {
"fbc": "fb.1.123456789.987654321",
"fbp": "fbp.1.987654321.123456789",
"page": {
"url": "https://example.com",
"title": "Example Page"
},
"type": "page-visit",
"domain": "example.com",
"medium": "survey",
"source": "Direct traffic",
"version": "v3",
"adSource": "example-ad-source",
"mediumId": "medium-id-123",
"parentId": "parent-id-456",
"referrer": "https://staging.gohighlevel.com",
"fbEventId": "event-id-789",
"timestamp": 1234567890,
"parentName": "Parent Survey",
"fingerprint": "example-fingerprint",
"pageVisitType": "survey",
"contactSessionIds": {
"ids": [
"session1",
"session2"
]
}
},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
]
}
}
],
"meta": {
"total": 1,
"currentPage": 1,
"nextPage": null,
"prevPage": null
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 List of survey IDs to be exported
"id1,id2,id3..."
ID of the location for which forms will be exported
"location1"
Get submission by starting of this date. By default it will be same date of last month(YYYY-MM-DD).
"2022-11-14"
Get submission by ending of this date. By default it will be current date(YYYY-MM-DD).
"2022-12-14"
Limit Per Page records count. will allow maximum up to 100 and default will be 20
20
Number of records to skip and default will be 0
5
Was this page helpful?